NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Layout2d.SelectComponent Member List

This is the complete list of members for NXOpen.Layout2d.SelectComponent, including all inherited members.

AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
GetValue(out NXOpen.Layout2d.Component selection, out NXOpen.View view, out NXOpen.Point3d point)NXOpen.Layout2d.SelectComponentinline
GetValue(out NXOpen.InferSnapType.SnapType snapType, out NXOpen.Layout2d.Component selection1, out NXOpen.View view1, out NXOpen.Point3d point1, out NXOpen.Layout2d.Component selection2, out NXOpen.View view2, out NXOpen.Point3d point2)NXOpen.Layout2d.SelectComponentinline
GetValue(out NXOpen.CaeObjectType.CaeSubType caeSubType, out int caeSubId)NXOpen.Layout2d.SelectComponentinline
NextSinkNXOpen.Utilities.NXRemotableObject
PrintTestData(String variableName)NXOpen.TaggedObjectinline
PrintTestData(String variableName, int lineNumber)NXOpen.TaggedObjectinline
SetValue(NXOpen.Layout2d.Component selection, NXOpen.View view, NXOpen.Point3d point)NXOpen.Layout2d.SelectComponentinline
SetValue(NXOpen.InferSnapType.SnapType snapType, NXOpen.Layout2d.Component selection1, NXOpen.View view1, NXOpen.Point3d point1, NXOpen.Layout2d.Component selection2, NXOpen.View view2, NXOpen.Point3d point2)NXOpen.Layout2d.SelectComponentinline
SetValue(NXOpen.Layout2d.Component selection, NXOpen.CaeObjectType.CaeSubType caeSubType, int caeSubId)NXOpen.Layout2d.SelectComponentinline
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.TaggedObject
ToString()NXOpen.TaggedObjectinline
Validate()NXOpen.Layout2d.SelectComponentinline
ValueNXOpen.Layout2d.SelectComponent
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.